## deadbeef 0.7.2

=== tools/pluginfo/Makefile ===
CC=gcc
CFLAGS=-Wall
LDFLAGS=-lpthread -ldl -lm

all:
	mkdir -p x86_64
	mkdir -p i686
	$(CC) -m32 $(CFLAGS) pluginfo.c $(LDFLAGS) -o i686/pluginfo
	$(CC) -m64 $(CFLAGS) pluginfo.c $(LDFLAGS) -o x86_64/pluginfo

clean:
	rm *.o pluginfo

=== debian/changelog ===
deadbeef (0.7.2-1mx150+1) mx; urgency=medium

  * New upstream release:
    - fixed title formatting %filename% crash
    - fixed streaming of aac content in mp4 container
    - added https:// support to vfs_curl (Viktor Semykin)
    - added zh_TW translation to deadbeef.desktop (laichiaheng)
    - fixed loading cue sheets without any metadata fields
    - fixed file close bug in VTX plugin
    - fixed evaluating nested square brackets syntax in title formatting
    - improved support for large fields in ID3v2 tags
    - fixed potential crash bug in artwork plugin
    - fixed path separator '/' escaping regression in converter
    - moved ffmpeg plugin to the end of plugin list, to prevent conflicts with
      other input plugins
    - added $fix_eol, $hex title formatting
    - fixed importing [, ] and \n characters from old configuration files
    - fixed "Group by artist/date/title" title formatting
    - added enumerating/exposing of all supported file extensions to ffmpeg
      plugin (Xinya Zhang)
    - fixed handling of ':' in file path in vfs_zip plugin
    - fixed old ffmpeg versions support
    - fixed wma decoder loudness issue
    - fixed DCA buffer allocation, to make it more musl-friendly
    - added $num implementation to title formatting (Peter Lamby)
    - fixed --nowplaying-tf behavior when player is stopped
  * Add potfiles.patch from getdeb's source.
  * Fix empty deadbeef-dbg package.
  * Add intltool and autopoint to build-deps, autopoint for older dh-autoreconf.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 27 Apr 2016 11:08:43 -0700

deadbeef (0.7.1-1mx150+1) mx; urgency=medium

  * New upstream release:
    - fixed GTKUI maximized window layout saving/restoring.
    - fixed GTKUI maximized window column autoresize saving/restoring.
    - fixed artwork plugin version checks.
    - disabled bogus shift-jis detection, which was overriding cp1252.
    - fixed mp3 bitrate calculation regression.
    - fixed wrong padding of formatted time.
    - fixed importing legacy title formatting fields bug.
    - fixed incorrect output format after resuming paused session.
    - fixed $ext title formatting bug.
    - fixed %tracknumber% title formatting bug.
    - fixed auto-updating title formatting fields.
    - fixed FreeBSD compile issues.
    - fixed cache cleaner crash bug.
    - fixed crash when trying to play GYM files.
    - fixed importing legacy playlist grouping config.
    - fixed FLAC metadata field mapping.
    - fixed FLAC metadata track/total and disc/total splitting.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 17 Apr 2016 20:08:03 -0700

deadbeef (0.7.0-4mx150+1) mx; urgency=medium

  * Rebuild for MX-15:
    - drop superfluous quilt build-depend.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 01 Feb 2016 12:46:34 -0800

deadbeef (0.7.0-4~trusty~ppa1) trusty; urgency=low

  * New upstream release 0.7.0

 -- starws <starws.box@gmail.com>  Mon, 01 Feb 2016 17:35:10 +0300

deadbeef (0.6.2.2-1~trusty~ppa1) trusty; urgency=low

  * Upstream bugfix release

 -- starws <starws.box@gmail.com>  Sun, 14 Sep 2014 15:36:15 +0400

deadbeef (0.6.2.0-1~trusty~ppa1) trusty; urgency=low

  * New upstream release, deadbeef 0.6.2

 -- starws <starws.box@gmail.com>  Tue, 06 Aug 2014 17:15:35 +0400

deadbeef (0.6.1.2-1~trusty~ppa1) trusty; urgency=low

  * Upstream fix for bug #1062: fixed stop_after_current

 -- starws <starws.box@gmail.com>  Fri, 28 Mar 2014 17:40:35 +0400

deadbeef (0.6.1.1-1~saucy~ppa1) saucy; urgency=low

  * Upstream fix for bug #1050: crash when loading playlist from cmdline

 -- starws <starws.box@gmail.com>  Thu, 13 Feb 2014 17:20:45 +0400

deadbeef (0.6.1.0-4~saucy~ppa1) saucy; urgency=low

  * New upstream release, deadbeef 0.6.1

 -- starws <starws.box@gmail.com>  Mon, 03 Feb 2014 09:29:45 +0400

deadbeef (0.5.6-2~precise~ppa1) precise; urgency=low

  * New upstream release, deadbeef 0.5.6
  * Fixed precise and oneric runtime dependencies
  * Fixed dev-plugins license

 -- starws <starws.box@gmail.com>  Sat, 29 Dec 2012 17:40:34 +0400

deadbeef (0.5.5-1~precise~ppa1) precise; urgency=low

  * New upstream release, deadbeef 0.5.5.
  * Added depends: libsm, libice.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sun, 10 Jun 2012 10:50:25 +0600

deadbeef (0.5.4-1~precise~ppa1) precise; urgency=low

  * New upstream release, deadbeef 0.5.4.
  * Backport to Precise Pangolin.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sat, 12 May 2012 09:59:20 +0600

deadbeef (0.5.2-1~oneiric~ppa1) oneiric; urgency=low

  * New upstream release, deadbeef 0.5.2.
  * Added build depend: yasm.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sun, 25 Mar 2012 10:15:14 +0600

deadbeef (0.5.1-1~oneiric~ppa2) oneiric; urgency=low

  * Patch for fixing compile errors resulting from latest
    FFMPEG (backported from git).

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Thu, 17 Nov 2011 22:11:02 +0600

deadbeef (0.5.1-1~oneiric~ppa1) oneiric; urgency=low

  * New upstream release, deadbeef 0.5.1.
  * Added forgotten depends libcddb2 and libcdio10.
  * Backporting to Ubuntu 11.10 Oneiric Ocelot.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Thu, 17 Nov 2011 18:32:52 +0600

deadbeef (0.5.0-1~maverick~ppa1) maverick; urgency=low

  * New upstream release, deadbeef 0.5.0.
  * Update control, manpage, rules files.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Mon, 16 May 2011 01:05:59 +0600

deadbeef (0.4.4-1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, deadbeef 0.4.4 (bug fix only).
  * Added package with debugging symbols.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sun, 14 Nov 2010 23:34:31 +0500

deadbeef (0.4.3-1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, deadbeef 0.4.3.
  * Remove libmms depend. libmms bundled.

 -- Alexey Smirnov <alexey.smirnov@gmx.com>  Sun, 31 Oct 2010 20:14:06 +0500

deadbeef (0.4.2-1~maverick3~ppa2) maverick; urgency=low



=== debian/control ===
Source: deadbeef
Section: sound
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: starws <starws.box@gmail.com>
Homepage: http://deadbeef.sourceforge.net/
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7.0.50~),
               dh-autoreconf,
               autopoint | dh-autoreconf (>= 8),
               autotools-dev,
               intltool,
               libao-dev,
               libasound2-dev,
               libatk1.0-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libbinio-dev,
               libbonoboui2-dev,
               libcddb2-dev,
               libcdio-dev,
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libdca-dev,
               libfaad-dev,
               libflac-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgnome2-dev,
               libgnomeui-dev,
               libgtk2.0-dev,
#               libgtk-3-dev,
               libgtkglext1-dev,
               libjansson-dev,
               libmad0-dev,
               libmms-dev,
               libmpcdec-dev,
               libmpg123-dev,
               libogg-dev,
               libpango1.0-dev,
               libpulse-dev,
               libsamplerate0-dev,
               libsidplay2-dev,
               libsndfile1-dev,
               libsoundtouch-dev,
               libwavpack-dev,
               libx11-dev,
               libxml2-dev,
               libzip-dev,
               mesa-common-dev,
#               valgrind,
               zlib1g-dev

Package: deadbeef-plugins-dev
Section: libdevel
Architecture: all
Depends: deadbeef (= ${source:Version}), ${misc:Depends}
Description: DeaDBeeF plugins development files
 This package contains all supplementary files you need to develop your plugins
 for DeaDBeeF audio player.

Package: deadbeef
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio player for GNU/Linux systems with X11
 Main features:
  * audio formats supported: mp3, ogg vorbis, flac, ape, wv, wav, aac, alac, tta,
    MPC, Opus, audio CD
  * ID3v1, ID3v2.2/2.3/2.4, APEv2, xing/info and cuesheet tags support
  * utf8/cp1251/iso8859-1/GBK/shift-JIS charsets autodetection in
    cuesheets and id3 tags
  * sid and some popular chiptune formats like nsf
  * tracker modules like mod, s3m, it, xm, etc
  * customizable GTK user interface layout
  * no GNOME or KDE dependencies - just GTK and several small libraries
  * last.fm scrobbling
  * radio stream playback
  * customizable keyboard shortcuts
  * converter plugin
  * pulseaudio, OSS and ALSA output
  * m3u/PLS playlists, OSD notify and equalizer plugins

Package: deadbeef-dbg
Section: debug
Priority: extra
Architecture: any
Depends: deadbeef (= ${binary:Version}), ${misc:Depends}
Description: DeaDBeeF gdb debugging symbols package
 This package contains gdb debugging symbols for the deadbeef package.

=== debian/rules ===
#! /usr/bin/make -f

export DH_ALWAYS_EXCLUDE := README

%:
	dh $@ --parallel

override_dh_auto_configure:
	sh autogen.sh
	dh_auto_configure -- --prefix=/usr --enable-ffmpeg --enable-gtk2 \
	--disable-gtk3

override_dh_install:
	find debian/tmp/usr -type f -iname "*.la" -delete
	dh_install

override_dh_compress:
	dh_compress -XChangeLog -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1

override_dh_strip:
	dh_strip --dbg-package=deadbeef-dbg

## deadbeef 1.8.0

=== plugins/soundtouch/Makefile ===
CC=gcc
CXX=g++

OUT=ddb_soundtouch.so

soundtouch_path=soundtouch

CFLAGS+=-Wall -g -D_GNU_SOURCE -I$(soundtouch_path)/include -I../../include -std=c99 -fPIC -msse2
CXXFLAGS+=-Wall -g -D_GNU_SOURCE -I$(soundtouch_path)/include -I../../include -fPIC -msse2

LDFLAGS+=-shared -lm

SOURCES=plugin.c

CXX_SOURCES=st.cpp\
$(soundtouch_path)/source/SoundTouch/AAFilter.cpp\
$(soundtouch_path)/source/SoundTouch/BPMDetect.cpp\
$(soundtouch_path)/source/SoundTouch/cpu_detect_x86_gcc.cpp\
$(soundtouch_path)/source/SoundTouch/FIFOSampleBuffer.cpp\
$(soundtouch_path)/source/SoundTouch/FIRFilter.cpp\
$(soundtouch_path)/source/SoundTouch/mmx_optimized.cpp\
$(soundtouch_path)/source/SoundTouch/PeakFinder.cpp\
$(soundtouch_path)/source/SoundTouch/RateTransposer.cpp\
$(soundtouch_path)/source/SoundTouch/SoundTouch.cpp\
$(soundtouch_path)/source/SoundTouch/sse_optimized.cpp\
$(soundtouch_path)/source/SoundTouch/TDStretch.cpp

HEADERS=st.h\
$(soundtouch_path)/include/BPMDetect.h\
$(soundtouch_path)/include/FIFOSampleBuffer.h\
$(soundtouch_path)/include/FIFOSamplePipe.h\
$(soundtouch_path)/include/soundtouch_config.h\
$(soundtouch_path)/include/SoundTouch.h\
$(soundtouch_path)/include/STTypes.h

CXX_OBJECTS=$(CXX_SOURCES:.cpp=.o)
OBJECTS=$(SOURCES:.c=.o)

all: $(SOURCES) $(OUT)

$(OUT): $(OBJECTS) $(CXX_OBJECTS)
	$(CXX) $(LDFLAGS) $(OBJECTS) $(CXX_OBJECTS) -o $@

.c.o: $(HEADERS)
	$(CC) $(CFLAGS) $< -c -o $@

.cpp.o: $(HEADERS)
	$(CXX) $(CXXFLAGS) $< -c -o $@

clean:
	rm $(OBJECTS) $(CXX_OBJECTS) $(OUT)

=== debian/changelog ===
deadbeef (1.8.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use 3.0 (quilt) source format.
  * debian/control: 
    - fix descriptions of the deadbeef-gtk* packages.
    - sort build-depends.
    - add conflicts and replaces for deadbeef-plugins-dev.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Apr 2019 15:34:02 -0700

deadbeef (1.8.0-1~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Pavel <login.spv@gmail.com>  Sun, 07 Apr 2019 07:48:56 +0000

deadbeef (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Happy Packager <happy@example.com>  Sun, 07 Apr 2019 12:17:25 +0500

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE := COPYING:COPYING.GPLv2:COPYING.LGPLv2.1

DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEBIAN_CODENAME = $(shell echo $$DIST)
ifeq "$(DEBIAN_CODENAME)" ""
	DEBIAN_CODENAME = $(shell dpkg-parsechangelog | awk '/^Distribution: / {print $$2}')
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_configure:
	dh_testdir
	./autogen.sh
	dh_auto_configure

override_dh_install:
	dh_install
	@cp ChangeLog debian/deadbeef/usr/share/doc/deadbeef/changelog.deadbeef
	cd  debian/deadbeef/usr/lib/$(DEB_HOST_MULTIARCH) && rm deadbeef/*gtk2*
	cd  debian/deadbeef/usr/lib/$(DEB_HOST_MULTIARCH) && rm deadbeef/*gtk3*
	cd  debian/deadbeef/usr/lib/$(DEB_HOST_MULTIARCH) && rm deadbeef/*GTK3*
	cd  debian/deadbeef/usr/lib/$(DEB_HOST_MULTIARCH) && rm deadbeef/*GTK2*
	cd  debian && sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`


override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

override_dh_compress:
	dh_compress -Xchangelog.deadbeef -Xabout.txt

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## deadbeef 1.8.1

=== debian/changelog ===
deadbeef (1.8.1-1~mx19+1) mx; urgency=medium

  * New upstream release: 
    - Fixed audio freeze while sorting
    - Fixed error messages when loading PLS playlist with relative paths
    - Removed the unmaintained sndio plugin
    - Added experimental subgrouping support in playlist
    - Added new title formatting functions $stripprefix and $swapprefix
    - Updated Repeat and Shuffle hotkey names to match the menus
    - Fixed rounding bug of total playtime in statusbar
    - Added FLAC plugin option to ignore corrupted stream errors
    - Fixed reloading replaygain info
    - Fixed writing replaygain info to APEv2 tags

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Jul 2019 15:11:57 -0700

## deadbeef 1.8.2

=== debian/changelog ===
deadbeef (1.8.2-1~mx19+1) mx; urgency=medium

  * New upstream release: 
    - Volume control from command line supports increment syntax
    - Fixed writing multi-value fields into FLAC tags
    - Map ALBUMARTIST field to ALBUM ARTIST field in FLAC
    - Fixed sound output plugin selection bug in GTK UI
    - Fixed crash when opening files of 0 size
    - Fixed UI freeze when nullout plugin is selected
    - Fixed a regression in restoring the last selected folder in GTK
      file chooser

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Aug 2019 17:25:15 -0700

deadbeef (1.8.1-1~mx17+1) mx; urgency=medium

  * New upstream release: 
    - Fixed audio freeze while sorting
    - Fixed error messages when loading PLS playlist with relative paths
    - Removed the unmaintained sndio plugin
    - Added experimental subgrouping support in playlist
    - Added new title formatting functions $stripprefix and $swapprefix
    - Updated Repeat and Shuffle hotkey names to match the menus
    - Fixed rounding bug of total playtime in statusbar
    - Added FLAC plugin option to ignore corrupted stream errors
    - Fixed reloading replaygain info
    - Fixed writing replaygain info to APEv2 tags

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Jul 2019 15:11:57 -0700

=== debian/control ===
Source: deadbeef
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 9),
                autoconf,
                automake,
                autopoint,
                autotools-dev,
                bison,
                intltool,
                libasound2-dev,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libcddb2-dev,
                libcdio-dev,
                libcurl4-gnutls-dev,
                libfaad-dev,
                libflac-dev,
                libglu1-mesa-dev,
                libgtk2.0-dev,
                libgtk-3-dev,
                libgtkglext1-dev,
                libimlib2-dev,
                libjansson-dev,
                libltdl-dev | libltdl7-dev,
                libmad0-dev,
                libmms-dev,
                libmpcdec-dev,
                libmpg123-dev,
                libnotify-dev,
                libogg-dev,
                libopusfile-dev,
                libpulse-dev,
                libsamplerate0-dev,
                libsndfile1-dev,
                libtool,
                libvorbis-dev,
                libwavpack-dev,
                libx11-dev,
                libzip-dev,
                mesa-common-dev,
                quilt,
                yasm
Standards-Version: 4.1.3
Homepage: http://deadbeef.sourceforge.net/

Package: deadbeef-dev
Section: libdevel
Architecture: all
Depends: deadbeef (>= ${source:Version}), ${misc:Depends}
Conflicts: deadbeef-plugins-dev
Replaces: deadbeef-plugins-dev
Description: DeaDBeeF plugins development files
 DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
 .
 This package contains all supplementary files you need to develop your plugins
 for the DeaDBeeF audio player.

Package: deadbeef-gtk3
Architecture: any
Depends: deadbeef (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ 3 interface to DeaDBeeF
 DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
 .
 This package has the GTK+ 3 interface to DeaDBeef. If you want to use it,
 install it and remove deadbeef-gtk2.

Package: deadbeef-gtk2
Architecture: any
Depends: deadbeef (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GTK+ 2 interface to DeaDBeeF
 DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
 .
 This package has the GTK+ 2 interface to DeaDBeef. If you want to use it,
 install it and remove deadbeef-gtk3.

Package: deadbeef
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deadbeef-gtk2 | deadbeef-gtk3
Description: ultimate music player for GNU/Linux systems
 DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
 .
 Features:
 .
  * mp3, ogg vorbis, flac, ape, wv, wav
  * ID3v1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, xing/info tags support
  * character set detection for non-unicode ID3 tags - supports cp1251
    and iso8859-1
  * unicode tags are fully supported as well (both utf8 and ucs2)
  * cuesheet support for mp3, ogg, flac, ape
  * autodetection of utf8/cp1251/iso8859-1 charsets in cuesheets
  * sid and some popular chiptune formats like nsf
  * tracker modules like mod, s3m, it, xm, etc
  * HVSC song length database support for sid
  * gtk2 interface with custom highly speed/memory optimized widgets
  * no GNOME or KDE dependencies - just gtk2 and several small libraries
  * minimize to tray, with scrollwheel volume control
  * drag and drop, both inside of playlist, and from filemanagers and such
  * control playback from command line (allows global hotkeys using xbindkeys)
  * seeking works in all supported formats
  * plugin support; ships with several standard plugins, such as global hotkeys
    and last.fm scrobbler; sdk is included
  * duration calculation is as precise as possible for vbr mp3
    files (with and without xing/info tags)

## deadbeef 1.8.3

=== debian/changelog ===
deadbeef (1.8.3-1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
    - Fixed a CD Text reading issue.
    - Added title formatting functions: len2, longer, longest, padcut,
      padcut_right, progress, progress2, right, roman, rot13, shortest, strchr,
      stricmp, strrchr, strstr, substr, tab, trim (esainane@github).
    - Fixed a bunch of memory bugs in title formatting (esainane@github).
    - Added optional automatic playlist sorting (kpcee@github).
    - Added title formatting value %playback_time_ms% (nonoo@github).
    - Added an option to start deadbeef hidden / minimized to tray
      (kpcee@github).
    - Fixed %_path_raw% to always produce an URI (Evgeny Kravchenko).
    - Fixed rounding of %selection_playback_time% (kpcee@github).
    - Fixed a memory leak in AAC plugin.
    - Fixed crash when removing playlist from UI layout (Nicolai Syvertsen).
    - Added logging of plugin load errors.
    - Added an option to replaygain scan all unscanned files in playlist
      (kpcee@github).
    - Added detecting and ignoring freeformat MP3 files.
    - Removed logging of playlist load debug messages.
    - Fixed playback stuttering after deleting files.
    - Fixed deleting files using playlist tab context menu.
    - Fixed saving playlist after deleting files.
    - Fixed saving playlist after replaygain scan.
    - Fixed a bunch of crashes and memory leaks when opening playlist context
      menu (Christian Boxdörfer).
    - Fixed a performance issue when seeking in MP3 files.
    - Fixed a bunch of issues with Repeat and Shuffle implementation.
    - Fixed handling of in-stream HTTP headers for streaming audio.
    - Fixed a bunch of bugs in HTTP stream interruption.
    - Fixed semicolon-separated values handling in track properties dialog.
    - Fixed choosing next track when the currently playing track was removed.
    - Fixed seeking out of bounds using hotkeys.
    - Fixed saving opus header gain when no replaygain info is present.
    - Improved remove from disk dialog (kpcee@github).
    - Fixed ID3v2 TLAN (LANGUAGE) and TMED (MEDIA TYPE) mapping to be consistent
      with other formats.
    - Fixed replaygain bug causing it to be ON by default.
    - Fixed bug in elapsed time calculation in replaygain scanner UI.
    - Fixed a stack overflow bug when writing ID3v1.
    - Added ID3v2 POPM rating support, both reading and writing.
    - Fixed an issue with splitters not reaching the view edges.
    - Fixed single-quote escaping issue in ShellExec.
    - Fixed Add Location dialog not adding URLs.
    - Fixed ffmpeg file handle leak.
    - Added remove playlist confirmation dialog in GTK UI (kpcee@github).
    - Fixed DTS channel count metadata.
    - Fixed loading MP3 album art of APIC type=0 (Other).
    - Added album art fallback to png (jakesfr@github).
    - Fixed ALSA hanging after audio format change.
    - Fixed handling "ICY 200 OK" status in vfs-curl (thesame).
    - Improved EQ UI layout in the DSP settings.
    - Fixed streamer being stuck in buffering mode when trying to play deleted
      files.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Mar 2020 10:41:12 -0700

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,8 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -n
 
-override_dh_auto_configure:
+#override_dh_auto_configure:
 	dh_testdir
-	./autogen.sh
 	dh_auto_configure
 
 override_dh_install:
@@ -42,7 +41,7 @@
 	dh_installchangelogs -k ChangeLog
 
 override_dh_compress:
-	dh_compress -Xchangelog.deadbeef -Xabout.txt
+	dh_compress -XChangeLog -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## deadbeef 1.8.4

=== tools/apbuild/Makefile ===
.PHONY: all install uninstall

PREFIX:=$(shell test x"`id -u`" = "x0" && if test -f /usr/bin/apgcc; then echo /usr; else echo /usr/local; fi || echo ~/.local)
BINDIR:=$(PREFIX)/bin
PERLDIR:=$(PREFIX)/share/apbuild
INCLUDEDIR:=$(PREFIX)/include/apbuild
ACLOCALDIR:=$(PREFIX)/share/aclocal

PACKAGE=apbuild
# Don't forget to bump the version in apgcc too.
VERSION=2.0.9

PROGS:=apgcc apg++ relaytool scandeps make-icons

all:
	@echo No compilation is required. To install, type 'make install'.
	@echo "(Current prefix=$(PREFIX))"

install:
	mkdir -p $(BINDIR)
	cp $(PROGS) $(BINDIR)
	chmod +x $(BINDIR)/apgcc $(BINDIR)/apg++ $(BINDIR)/scandeps $(BINDIR)/make-icons $(BINDIR)/relaytool
	mkdir -p $(PERLDIR)/Apbuild
	cp Apbuild/*.pm $(PERLDIR)/Apbuild/
	mkdir -p $(INCLUDEDIR)
	cp ctype.h apsymbols.h $(INCLUDEDIR)
	mkdir -p $(ACLOCALDIR)
	cp relaytool.m4 $(ACLOCALDIR)
	echo >> $(INCLUDEDIR)/apsymbols.h
	echo "/* apbuild version" $(VERSION) "*/" >> $(INCLUDEDIR)/apsymbols.h
	@echo --------------
	@echo "Installation complete. Please read README for usage."

uninstall:
	rm -f $(addprefix $(BINDIR)/, $(PROGS))
	rm -f $(PERLDIR)/Apbuild/*.pm
	rmdir $(PERLDIR)/Apbuild $(PERLDIR)
	rm -f $(INCLUDEDIR)/ctype.h
	rm -f $(INCLUDEDIR)/apsymbols.h
	rm -f $(ACLOCALDIR)/relaytool.m4

distdir:
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp -R BINARY-PORTABILITY-NOTES Makefile apsymbols.h ctype.h README $(PROGS) buildlist relaytool.m4 $(PACKAGE)-$(VERSION)/
	mkdir $(PACKAGE)-$(VERSION)/test-app
	mkdir $(PACKAGE)-$(VERSION)/Apbuild
	cp Apbuild/*.pm $(PACKAGE)-$(VERSION)/Apbuild/
	cp test-app/randomapp1.c $(PACKAGE)-$(VERSION)/test-app/

dist: distdir
	rm -f $(PACKAGE)-$(VERSION).tar.gz
	tar -cf $(PACKAGE)-$(VERSION).tar $(PACKAGE)-$(VERSION)
	gzip --best $(PACKAGE)-$(VERSION).tar
	rm -rf $(PACKAGE)-$(VERSION)

=== tools/pluginfo/Makefile ===
CC=gcc
CFLAGS=-Wall
LDFLAGS=-lpthread -ldl -lm

all:
	mkdir -p x86_64
	$(CC) -m64 $(CFLAGS) pluginfo.c $(LDFLAGS) -o x86_64/pluginfo
#	mkdir -p i686
#	-$(CC) -m32 $(CFLAGS) pluginfo.c $(LDFLAGS) -o i686/pluginfo

clean:
	rm *.o pluginfo

=== plugins/sc68/file68/data68/Players/Makefile ===
# Makefile to build sc68 replay
#
# by Benjamin Gerard
#
# Time-stamp: <2011-09-12 17:56:34 ben>

pic_failed := hpn-jam.s tsd-jam.s 

pic_sources := blipp079.s blipblop.s chipmon2.s cosotfmx.s crapman1.s	\
crapman2.s deltamusic2.s digitfmx.s fc13_14.s fred.s lastninja3.s	\
lx_mmme.s mcoder.s megatizer.s midi.s mmme.s mmmesid.s musmon1.s	\
musmon2.s ninjatfmx.s note.s note2.s psg1.s puma99.s quartet.s		\
sndh_ice.s tao_digi.s tao_hubbard.s tao_ms211.s tao_ms25.s tao_ms27.s	\
tao_tsd.s tcbtracker.s tfmx.s tfmx_old.s tfmx_st.s timerc.s tsd1.s	\
tur2tfmx.s wodtfmx.s

abs_sources := jamcracker10.s puma2.s bs22.s deltamusic1.s	\
quartet_mindbomb.s sidmon1.s sidmon2.s soundfx.s ssd1.s

mus_sources := sh11-alter_m.s sh11-unkown.s

pic_binaries := $(pic_sources:%.s=bin/pic/%.bin)
abs_binaries := $(abs_sources:%.s=bin/abs/%.bin)
mus_binaries := $(mus_sources:%.s=bin/mus/%.bin)

all: pic abs

pic: $(pic_binaries)
abs: $(abs_binaries)
mus: $(mus_binaries)

bin/pic/%.bin: %.s
	@test -d '$(@D)' || mkdir -p '$(@D)'
	@echo "AS PIC '$<'"
	@as68 -p -o $@ $< >/dev/null

bin/mus/%.bin: %.s
	@test -d '$(@D)' || mkdir -p '$(@D)'
	@as68 -p -o $@ $< >/dev/null

bin/abs/%.bin: %.s
	@test -d '$(@D)' || mkdir -p '$(@D)'
	@test -d 'rel'   || mkdir -p 'rel'
	@echo "AS ABS '$<'"
	@as68 -r -o $@ -s rel/$*.rel $< >/dev/null


install: all install_abs install_pic

install_%: all
	@test '!' -d 'bin/$*' || find 'bin/$*/' -type f -name '*.bin' | \
	while read l; do \
		 d=../Replay/`basename $$l`;\
		 if [ ! -e $$d ]; then echo "NEW $$l"; \
		 elif cmp -s $$l $$d; then echo "EQU $$l";\
		 else echo "DIF $$l"; fi;\
	done

clean:
	test '!' -d 'bin' || rm -f -- `find 'bin/' -type f -name '*.bin'`
	test '!' -d 'rel' || rm -f -- `find 'rel/' -type f -name '*.rel'`

.PHONY: pic abs install clean

=== plugins/sc68/file68/data68/Players/protracker/Makefile ===
# Makefile for sc68 Amiga Protracker replay
#

ASM		= vasmm68k_mot
ASMFLAGS	= -Fbin -devpac
TARGET		= pt110bfix.bin
REPLAY		= ../../Replay/protracker.bin

all: $(TARGET)

install: $(TARGET)
	@cp -v -- $< $(REPLAY)

uninstall: ;@test ! -e $(REPLAY) || rm -v $(REPLAY)

%.bin: %.s
	@$(ASM) $(ASMFLAGS) -o $@ $<

clean: ; @rm -f -- $(REPLAY) $(TARGET)

.PHONY: all clean install uninstall

=== plugins/sc68/file68/data68/Players/ssd/Makefile ===
# Makefile for sc68 SSD player
#
# by Benjamin Gerard AKA Ben / OVR
#
# Override VERSION: >make VERSION=xxx clean install

VERSION=106
VERSIONS=103 104 105 106

AS=vasmm68k_mot
BINFLAGS=-m68000 -Fbin -devpac
TOSFLAGS=-m68000 -Ftos -devpac
ZIPFILE:=ssd-$(shell date +%F).zip
SSDS:=$(foreach VER,$(VERSIONS),ssd-$(VER).s)
BINS:=$(SSDS:%.s=%.bin)

## You should not edit after this

all: ssd1.bin

ssd: $(BINS)

install: ssd1.bin
	@echo "CPY $< -> $@"
	@cp -v -- $< ../../Replay/$<

ssd-103.bin: ssd-103.tos
	@echo "BIN $< -> $@"
	@dd if=$< of=$@ bs=1 skip=28 status=none

ssd-%.bin: ssd-%.s
	@echo "ASM $< -> $@"
	@$(AS) $(BINFLAGS) -o $@ $< >/dev/null

ssd.bin: ssd-$(VERSION).bin
	@echo "CPY $< -> $@"
	@cp -- "$<" "$@"

ssd1.bin: ssd1-sc68.s ssd.bin
	@echo "ASM $< -> $@"
	@$(AS) $(BINFLAGS) -DVERSION=$(VERSION) -o $@ $< >/dev/null

%.tos: %.s
	@echo "TOS $< -> $@ ($(VERSION))"
	@$(AS) $(TOSFLAGS) -DTEST=0 -o $@ $<

zip: $(ZIPFILE)

$(ZIPFILE): README Makefile ssd1-sc68.s $(BINS) $(SSDS)
	@echo "ZIP $@"
	@zip $@ $^

clean:
	-rm -f -- ssd1.bin ssd.bin ssd-1[0-9][0-9].bin

.PHONY: all clean install ssd zip

.INTERMEDIATE: ssd-103.tos

=== debian/changelog ===
deadbeef (1.8.4-1~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 20 Apr 2021 20:04:30 -0400

deadbeef (1.8.4-1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux:
    - Soundtouch plugin has been updated, and is now included in the releases.
    - Added %last_modified% title formatting keyword (Cristian Ciocaltea).
    - Fixed stack overflow bug in converter.
    - Fixed buffer overflow bug in mp3 parser.
    - Fixed handling of leading forward shash character in zipper file names.
    - Fixed handling user-specified file mask in artwork plugin.
    - Fixed CBR MP3 scanning performance.
    - Fixed stack overflow in title formatting tint range calculation.
    - Fixed pulseaudio plugin configuration backwards compatibility issue.
    - Fixed last.fm scrobbling of streaming shoutcast tracks.
    - Fixed deadlock when loading cuesheets which recursively reference
      themselves.
    - Fixed a false-positive when detecting free format MP3 files.
    - Fixed skipping unsupported fields in cuesheets.
    - Fixed a regression which caused MP3 tag editing to crash when text can’t
      be represented as CP1252.
    - Fixed playback of certain network streams.
    - Fixed handling of ID3v2 COMM frame content description data.

  * Bump to debhelper-compat 12.
  * Drop quilt BD.
  * Add patch from DMO's build.
  * Don't build soundtouch plugin for i386: it FTBFS.
  * Dont build separate -gtk2 or gtk3 packages any longer.
  * Add debian/watch from DMO.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Jun 2020 07:50:49 -0700

deadbeef (1.8.3-1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
    - Fixed a CD Text reading issue.
    - Added title formatting functions: len2, longer, longest, padcut,
      padcut_right, progress, progress2, right, roman, rot13, shortest, strchr,
      stricmp, strrchr, strstr, substr, tab, trim (esainane@github).
    - Fixed a bunch of memory bugs in title formatting (esainane@github).
    - Added optional automatic playlist sorting (kpcee@github).
    - Added title formatting value %playback_time_ms% (nonoo@github).
    - Added an option to start deadbeef hidden / minimized to tray
      (kpcee@github).
    - Fixed %_path_raw% to always produce an URI (Evgeny Kravchenko).
    - Fixed rounding of %selection_playback_time% (kpcee@github).
    - Fixed a memory leak in AAC plugin.
    - Fixed crash when removing playlist from UI layout (Nicolai Syvertsen).
    - Added logging of plugin load errors.
    - Added an option to replaygain scan all unscanned files in playlist
      (kpcee@github).
    - Added detecting and ignoring freeformat MP3 files.
    - Removed logging of playlist load debug messages.
    - Fixed playback stuttering after deleting files.
    - Fixed deleting files using playlist tab context menu.
    - Fixed saving playlist after deleting files.
    - Fixed saving playlist after replaygain scan.
    - Fixed a bunch of crashes and memory leaks when opening playlist context
      menu (Christian Boxdörfer).
    - Fixed a performance issue when seeking in MP3 files.
    - Fixed a bunch of issues with Repeat and Shuffle implementation.
    - Fixed handling of in-stream HTTP headers for streaming audio.
    - Fixed a bunch of bugs in HTTP stream interruption.
    - Fixed semicolon-separated values handling in track properties dialog.
    - Fixed choosing next track when the currently playing track was removed.
    - Fixed seeking out of bounds using hotkeys.
    - Fixed saving opus header gain when no replaygain info is present.
    - Improved remove from disk dialog (kpcee@github).
    - Fixed ID3v2 TLAN (LANGUAGE) and TMED (MEDIA TYPE) mapping to be consistent
      with other formats.
    - Fixed replaygain bug causing it to be ON by default.
    - Fixed bug in elapsed time calculation in replaygain scanner UI.
    - Fixed a stack overflow bug when writing ID3v1.
    - Added ID3v2 POPM rating support, both reading and writing.
    - Fixed an issue with splitters not reaching the view edges.
    - Fixed single-quote escaping issue in ShellExec.
    - Fixed Add Location dialog not adding URLs.
    - Fixed ffmpeg file handle leak.
    - Added remove playlist confirmation dialog in GTK UI (kpcee@github).
    - Fixed DTS channel count metadata.
    - Fixed loading MP3 album art of APIC type=0 (Other).
    - Added album art fallback to png (jakesfr@github).
    - Fixed ALSA hanging after audio format change.
    - Fixed handling "ICY 200 OK" status in vfs-curl (thesame).
    - Improved EQ UI layout in the DSP settings.
    - Fixed streamer being stuck in buffering mode when trying to play deleted
      files.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Mar 2020 10:41:12 -0700

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,15 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
-Build-Depends: debhelper (>= 9),
-                autoconf,
-                automake,
-                autopoint,
-                autotools-dev,
+Build-Depends: debhelper-compat (= 12),
                 bison,
                 intltool,
                 libasound2-dev,
-                libavcodec-dev,
                 libavformat-dev,
                 libavutil-dev,
                 libcddb2-dev,
                 libcdio-dev,
+                libcdparanoia-dev,
                 libcurl4-gnutls-dev,
                 libfaad-dev,
                 libflac-dev,
@@ -25,6 +21,7 @@
                 libgtkglext1-dev,
                 libimlib2-dev,
                 libjansson-dev,
+                libjpeg62-turbo-dev,
                 libltdl-dev | libltdl7-dev,
                 libmad0-dev,
                 libmms-dev,
@@ -40,9 +37,7 @@
                 libvorbis-dev,
                 libwavpack-dev,
                 libx11-dev,
-                libzip-dev,
-                mesa-common-dev,
-                quilt,
+                libzip-dev (>= 1.0.1~),
                 yasm
 Standards-Version: 4.1.3
 Homepage: http://deadbeef.sourceforge.net/
@@ -59,27 +54,11 @@
  This package contains all supplementary files you need to develop your plugins
  for the DeaDBeeF audio player.
 
-Package: deadbeef-gtk3
-Architecture: any
-Depends: deadbeef (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: GTK+ 3 interface to DeaDBeeF
- DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
- .
- This package has the GTK+ 3 interface to DeaDBeef. If you want to use it,
- install it and remove deadbeef-gtk2.
-
-Package: deadbeef-gtk2
-Architecture: any
-Depends: deadbeef (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: GTK+ 2 interface to DeaDBeeF
- DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
- .
- This package has the GTK+ 2 interface to DeaDBeef. If you want to use it,
- install it and remove deadbeef-gtk3.
-
 Package: deadbeef
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, deadbeef-gtk2 | deadbeef-gtk3
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: deadbeef-gtk2, deadbeef-gtk3
+Replaces: deadbeef-gtk2, deadbeef-gtk3
 Description: ultimate music player for GNU/Linux systems
  DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems with X11.
  .
@@ -96,7 +75,7 @@
   * tracker modules like mod, s3m, it, xm, etc
   * HVSC song length database support for sid
   * gtk2 interface with custom highly speed/memory optimized widgets
-  * no GNOME or KDE dependencies - just gtk2 and several small libraries
+  * no GNOME or KDE dependencies - just gtk2 or 3 and several small libraries
   * minimize to tray, with scrollwheel volume control
   * drag and drop, both inside of playlist, and from filemanagers and such
   * control playback from command line (allows global hotkeys using xbindkeys)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

ifeq (,$(filter-out i386,$(DEB_HOST_ARCH_CPU)))
	confflags += --disable-soundtouch
endif

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

%:
	dh $@

override_dh_install:
	dh_install
	-rm debian/tmp/usr/lib/*/deadbeef/*.la
	dh_install -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1

override_dh_missing:
	dh_missing --fail-missing -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1

override_dh_compress:
	dh_compress -XChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

https://github.com/DeaDBeeF-Player/deadbeef/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## deadbeef 1.9.1

=== debian/changelog ===
deadbeef (1.9.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Jul 2022 18:42:49 -0700

deadbeef-dmo (1.9.1-dmmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 23:55:29 +0200

deadbeef-dmo (1.9.0-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 May 2022 16:57:08 +0200

deadbeef-dmo (1.8.8-dmo2) unstable; urgency=medium

  * Build with libdispatch1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Sep 2021 10:56:46 +0200

deadbeef-dmo (1.8.8-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 20:06:41 +0200

deadbeef-dmo (1.8.7-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Feb 2021 18:54:31 +0100

deadbeef-dmo (1.8.6-dmo2) unstable; urgency=medium

  * Don't build static binary (Thanks to Dimitris Pitsioris for the bug
    report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Jan 2021 14:57:32 +0100

deadbeef-dmo (1.8.6-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Jan 2021 23:42:19 +0100

deadbeef-dmo (1.8.5-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Jan 2021 10:01:37 +0100

deadbeef-dmo (1.8.4-dmo2) unstable; urgency=medium

  * Disable soundtouch plugin for i386 architecture (doesn't build).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jun 2020 16:01:42 +0200

deadbeef-dmo (1.8.4-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jun 2020 16:11:47 +0200

deadbeef-dmo (1.8.3-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Mar 2020 00:24:23 +0100

deadbeef-dmo (1.8.2-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Aug 2019 22:02:29 +0200

deadbeef-dmo (1.8.1-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Jun 2019 23:19:48 +0200

deadbeef-dmo (1.8.0-dmo2) unstable; urgency=medium

  * Rebuild against libcdio19

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Jun 2019 08:04:51 +0200

deadbeef-dmo (1.8.0-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2019 08:47:40 +0200

deadbeef-dmo (0.7.2-dmo6) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Apr 2018 16:24:33 +0200

deadbeef-dmo (0.7.2-dmo5) unstable; urgency=medium

  * Rebuild against libcdio18

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jan 2018 16:04:43 +0100

deadbeef-dmo (0.7.2-dmo4) unstable; urgency=medium

  * Rebuild against libcdio16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Nov 2017 14:26:16 +0100

deadbeef-dmo (0.7.2-dmo3) unstable; urgency=medium

  * Rebuild against libcdio16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Aug 2017 08:11:48 +0200

deadbeef-dmo (0.7.2-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 17:30:26 +0100

deadbeef-dmo (0.7.2-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Apr 2016 00:20:26 +0200

deadbeef-dmo (0.7.1-dmo3) unstable; urgency=medium

  * Really rebuild against libpng-16. GTK3 GUI was missing in the previous
    release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Apr 2016 08:53:15 +0200

deadbeef-dmo (0.7.1-dmo2) unstable; urgency=medium

  * Rebuild against libpng-16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Apr 2016 13:36:13 +0200

deadbeef-dmo (0.7.1-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Mar 2016 00:35:10 +0100

deadbeef-dmo (0.7.0-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2016 16:48:19 +0100

deadbeef-dmo (0.7.0-dmo2) unstable; urgency=medium

  * Rebuild against libzip4

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Feb 2016 00:05:34 +0100

deadbeef-dmo (0.7.0-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Feb 2016 09:50:01 +0100

deadbeef-dmo (0.6.2-dmo8) unstable; urgency=medium

  * Call autoreconf to fix arm64 build.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Dec 2015 09:02:44 +0100

deadbeef-dmo (0.6.2-dmo7) unstable; urgency=medium

  * Funny ? No. Rebuild against libjpeg62-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2014 21:28:01 +0200

deadbeef-dmo (0.6.2-dmo6) unstable; urgency=medium

  * Second round to rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Oct 2014 22:35:19 +0200

deadbeef-dmo (0.6.2-dmo5) unstable; urgency=medium

  * New patch 03_glib_2.41 from git to fix a crash with never glib (2.41)

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Oct 2014 17:52:26 +0200

deadbeef-dmo (0.6.2-dmo4) unstable; urgency=medium

  * Disable GTK+ 2.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Oct 2014 13:01:58 +0200

deadbeef-dmo (0.6.2-dmo3) unstable; urgency=medium

  * Rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Sep 2014 09:17:19 +0200



=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter-out i386,$(DEB_HOST_ARCH_CPU)))
	confflags += --disable-soundtouch
endif

export CC = clang
export CXX = clang++

# git clone https://github.com/DeaDBeeF-Player/mp4p external/mp4p	
# rm -rf external/mp4p/.git*

%:
	dh $@ --with quilt -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1

override_dh_autoreconf:
	cp debian/POTFILES.skip po/

	./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-gtk2 $(confflags)

#	exit 1

override_dh_install:
	-rm debian/tmp/usr/lib/*/deadbeef/*.la

	dh_install

override_dh_compress:
	dh_compress -XChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_clean:
	dh_clean po/Makefile.in.in m4/intltool.m4 po/POTFILES.skip

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym
